Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Token Management

Create Token

post

Important: Use this operation only when the end user is interacting with the merchant website or application and when a fast response time is important. It takes in average 2-3 seconds to obtain a token with this operation. For all other use cases, it is preferred to use the operation 'createAsyncToken'.

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · 最小: 1 · 最大: 8196必須

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
CUp to 19
expThe expiry date in format MMYY.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
Optional when VCES feature is activated for VISA
C4
tokenToken number.
Value expected when 'source' parameter is 'TOKEN'.
CUp to 19
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"[email protected]"}

sourcestring · enum · 最大: 32必須

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.
'TOKEN' is allowed just for Visa, used by token per token feature

可能な値:
languagestring · 最小: 2 · 最大: 2必須

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · 最小: 2 · 最大: 2必須

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
レスポンス
post
/tokens

Create Async Token

post

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

The process is asynchronous. It takes few seconds to get the callback except for VISA where it takes from 10 minutes to several hours.

A notification 'notifyTokenCreation' is sent to the Merchant/PSP to complete the token creation process.

The notification shares the same 'x-correlation-id' as in the create token request.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · 最小: 1 · 最大: 8196必須

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.
Optional when VCES feature is activated for VISA
C4
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"[email protected]"}

sourcestring · enum · 最大: 32必須

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.

可能な値:
languagestring · 最小: 2 · 最大: 2必須

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · 最小: 2 · 最大: 2必須

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
レスポンス
post
/async-tokens

コンテンツなし

Create PCI Token

post

Create a PCI token from card details.

The Scheme TSP is not involved in the creation of the token.

ETP stores securely the card details and returns a token identifier to the Merchant/PSP.

In case of successful response, the Merchant/PSP can directly request for a transaction. No notification is sent (contrary to network tokens).

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · 最小: 1 · 最大: 8196必須

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.M4

Example: {"fpan":"5123456789012345", "exp":"0822"}

レスポンス
post
/pci-tokens

Create Push Token

post

Create a network token from information provided by the Issuer to the Merchant application in a push provisioning use case (Visa and Mastercard only).

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

pushProvisioningPayloadstring · 最小: 1 · 最大: 8196必須

The push provisioning payload provided by the Issuer to the merchant application.

For Mastercard, it corresponds to the 'pushAccountReceipt'.

For Visa, it corresponds to the 'encPaymentInstrument'.

schemestring · enum · 最大: 32必須

The card primary scheme.

Example: MASTERCARD可能な値:
encryptedDatastring · 最小: 1 · 最大: 8196オプション

The user information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
accountIdThe card holder account identifier defined by the Merchant.O24
emailThe card holder email.O128

Example: {"accountId:"johndoe", "email":"[email protected]"}

languagestring · 最小: 2 · 最大: 2必須

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · 最小: 2 · 最大: 2必須

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
レスポンス
post
/push-tokens

Get Token

get

Retrieve information about a token.

For EMV Tokens, the information provided depends on what the Issuer has declared in the Scheme TSP.

For PCI Tokens, only "basic" information related to the card is provided:

  • Card last digits.

  • Card expiry date.

  • Card Scheme if recognized.

パスパラメータ
tokenIdstring · 最大: 128必須

The token identifier.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

レスポンス
get
/tokens/{tokenId}

Delete Token

delete

Delete a token.

パスパラメータ
tokenIdstring · 最大: 128必須

The token identifier.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

レスポンス
204

No Content

コンテンツなし

delete
/tokens/{tokenId}

コンテンツなし

Get Asset

get

Returns an asset ressource (image, text). The assetId associated to an asset never changes so the response can be cached by the API consumer.

パスパラメータ
assetIdstring · 最大: 128必須

The unique asset identifier.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

レスポンス
get
/assets/{assetId}

最終更新

役に立ちましたか?